Can not make a rpm package on CentOS 6.3

Bug #1091599 reported by Yutaro Osawa on 2012-12-18
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
libmemcached
Low
Brian Aker

Bug Description

I can't bulid rpm packages on CentOS 6.3.

I tried following command.

# rpmbuild -ta libmemcached-1.0.15.tar.gz

And then following an error comes up on screen.
-------------------------------------------------------------------------------------------
error: Failed build dependencies:
        hostname is needed by libmemcached-1.0.15-1.x86_64
-------------------------------------------------------------------------------------------

I guess CentOS6.3 not have a package named "hostname".

And I tried to coment out "hostname" from libmemcached.spec file.

and then I retried make a rpm puckages. As a Result I can make rpm packages libmemcached-1.0.15-1.x86_64.rpm and libmemcached-devel-1.0.15-1.x86_64.rpm.

please fix the libmemcached.spec file.

Related branches

Brian Aker (brianaker) wrote :

This should be fixed in trunk shortly.

Changed in libmemcached:
status: New → Fix Committed
importance: Undecided → Low
assignee: nobody → Brian Aker (brianaker)
milestone: none → 1.0.17
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers